use Northwind
go

-- Change Data Capture auf Datenbankebene aktivieren
-- Man muss in der Rolle sysadmin sein!
EXECUTE sys.sp_cdc_enable_db

-- Prfung ob aktiviert
select [name], is_cdc_enabled from sys.databases
GO

-- CDC fr Tabelle Customers aktivieren
-- Man muss in der Rolle db_owner sein!
EXECUTE sys.sp_cdc_enable_table 
    @source_schema = N'dbo'
  , @source_name = N'Customers'
  , @role_name = N'cdc_admin'
  , @supports_net_changes = 1
  , @captured_column_list = 'CustomerId, CompanyName, ContactName, Country, City' 
  

/*  
sys.sp_cdc_enable_table_change_data_capture 
[ @source_schema = ] 'source_schema',			-- Schema
[ @source_name = ] 'source_name' ,			-- Tabellenname
[ @role_name = ] 'role_name'				-- Rolle, ber die der Zugriff gesteuert wird
[,[ @capture_instance = ] 'capture_instance' ]		-- Name der nderungsverfolgungstabelle (schemaname_sourcename. capture_instance)
[,[ @supports_net_changes = ] supports_net_changes ]	-- Gibt an, ob die Abfrage von Nettonderungen fr diese Aufzeichnungsinstanz untersttzt werden soll. 
[,[ @index_name = ] 'index_name' ]			-- Der Name eines eindeutigen Indexes, der anstatt des Primrschlsselindexes verwendet wird.
[,[ @captured_column_list = ] 'captured_column_list' ]	-- captured_column_list ist eine durch Trennzeichen getrennte Liste mit Spaltennamen. 
[,[ @filegroup_name = ] 'filegroup_name' ]		-- Die Dateigruppe zur Verwendung mit der nderungstabelle, die fr die Aufzeichnungsinstanz erstellt wurde. 
*/



-- CDC-Definition ausgeben
EXECUTE sys.sp_cdc_help_change_data_capture
GO