USE Northwind
GO

-- Vorab einen Datensatz anlegen
INSERT INTO dbo.Customers (CustomerId, CompanyName) VALUES ('SEK', 'Karl Donaubauer')
GO

-- Tabelle fr Kundendaten erstellen
CREATE TABLE dbo.NeuKunden (CustomerId varchar(5) NOT NULL, CompanyName varchar(50))
-- Tabelle mit Daten fllen
INSERT INTO dbo.NeuKunden (CustomerId, CompanyName) 
VALUES ('SEK', 'Karl Donaubauer'), 
	   ('CDWOW', 'CD-WOW.net - CDs und DVDs'),
	   ('AMAZ', 'Amazon - Bcher und mehr'),
	   ('ALFKI', 'Alfreds Neue Futterkiste')
GO

-- der MERGE Befehl
MERGE dbo.Customers C
USING dbo.NeuKunden N ON C.CustomerId = N.CustomerId 
WHEN MATCHED AND (C.CustomerId = 'SEK') THEN
	DELETE
WHEN MATCHED THEN
	UPDATE SET C.CompanyName = N.CompanyName
WHEN NOT MATCHED THEN
	INSERT (CustomerId, CompanyName) VALUES (N.CustomerId, N.CompanyName)
OUTPUT $action, N.CustomerId, N.CompanyName;
;
GO


-- Beweise
SELECT * FROM dbo.Customers WHERE CustomerId IN ('SEK', 'cdwow', 'amaz', 'ALFKI')
